---@meta

---@class UIObject : Object
UIObject = {
	--- Returns whether the object is loaded.
	--- @return boolean isLoaded True if the object is loaded.
	--- @example
	--- local isLoaded = myUIObject:IsLoaded()
	IsLoaded = function(self) end,

	--- Returns whether the object is visible.
	--- @return boolean isVisible True if the object is visible.
	--- @example
	--- local isVisible = myUIObject:IsVisible()
	IsVisible = function(self) end,

	--- Returns whether the object is shown.
	--- @return boolean isShown True if the object is shown.
	--- @example
	--- local isShown = myUIObject:IsShown()
	IsShown = function(self) end,
}
